Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059589 - [abrt] gvfs: verify_metadata_block(): gvfsd-metadata killed by SIGSEGV
Summary: [abrt] gvfs: verify_metadata_block(): gvfsd-metadata killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 699109
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 20
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:720703d73a4b64a1b38ad8863a8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 08:52 UTC by Vratislav Podzimek
Modified: 2015-03-18 20:04 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 14:42:06 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: cgroup (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: core_backtrace (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: dso_list (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: environ (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: exploitable (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: limits (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: maps (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: open_fds (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: proc_pid_status (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details
File: var_log_messages (deleted)
2014-01-30 08:53 UTC, Vratislav Podzimek
no flags Details

Description Vratislav Podzimek 2014-01-30 08:52:55 UTC
Version-Release number of selected component:
gvfs-1.18.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-metadata
crash_function: verify_metadata_block
executable:     /usr/libexec/gvfsd-metadata
kernel:         3.12.8-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 verify_metadata_block at metatree.c:186
 #1 copy_tree_to_builder at metatree.c:2123
 #2 meta_tree_flush_locked at metatree.c:2293
 #3 meta_tree_flush at metatree.c:2315
 #4 writeout_timeout at meta-daemon.c:62

Potential duplicate: bug 699109

Comment 1 Vratislav Podzimek 2014-01-30 08:53:05 UTC
Created attachment 857380 [details]
File: backtrace

Comment 2 Vratislav Podzimek 2014-01-30 08:53:15 UTC
Created attachment 857381 [details]
File: cgroup

Comment 3 Vratislav Podzimek 2014-01-30 08:53:19 UTC
Created attachment 857382 [details]
File: core_backtrace

Comment 4 Vratislav Podzimek 2014-01-30 08:53:21 UTC
Created attachment 857383 [details]
File: dso_list

Comment 5 Vratislav Podzimek 2014-01-30 08:53:23 UTC
Created attachment 857384 [details]
File: environ

Comment 6 Vratislav Podzimek 2014-01-30 08:53:31 UTC
Created attachment 857385 [details]
File: exploitable

Comment 7 Vratislav Podzimek 2014-01-30 08:53:33 UTC
Created attachment 857386 [details]
File: limits

Comment 8 Vratislav Podzimek 2014-01-30 08:53:35 UTC
Created attachment 857387 [details]
File: maps

Comment 9 Vratislav Podzimek 2014-01-30 08:53:44 UTC
Created attachment 857388 [details]
File: open_fds

Comment 10 Vratislav Podzimek 2014-01-30 08:53:46 UTC
Created attachment 857389 [details]
File: proc_pid_status

Comment 11 Vratislav Podzimek 2014-01-30 08:53:53 UTC
Created attachment 857390 [details]
File: var_log_messages

Comment 12 Bart Ratgers 2014-06-19 16:13:28 UTC
Another user experienced a similar problem:

Unknown	

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-metadata
crash_function: verify_metadata_block
executable:     /usr/libexec/gvfsd-metadata
kernel:         3.14.7-200.fc20.x86_64
package:        gvfs-1.18.3-2.fc20
reason:         gvfsd-metadata killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Vratislav Podzimek 2014-08-13 07:56:52 UTC
Guys, are ever going to do something with this bug? I just see more and more people appearing in the CC list (i.e. hitting the issue) and it's been here for a while.

Comment 14 Vratislav Podzimek 2014-08-13 07:59:44 UTC
And the duplicate bug on Fedora 18 has been here for even much, much longer.

Comment 15 Ondrej Holy 2014-08-15 14:42:06 UTC
We know about the bug and we keep track on it, however we need a reproducer with empty metadata database. See for the detailed instruction:
https://bugzilla.redhat.com/show_bug.cgi?id=699109#c74

*** This bug has been marked as a duplicate of bug 699109 ***


Note You need to log in before you can comment on or make changes to this bug.